Swift 3 on Ubuntu 16.10

On swift.org’s downloads page Swift 3 comes with builds for Ubuntu 14.04 and Ubuntu 16.04, but not 16.10. It is a reasonable guess that the 16.04 build will still work on 16.10, but once downloaded and extracted, it complained about missing libicuuc.so.55. 16.10 only offers the ICU version 57.

There was a build of icu 55 made early during the development of 16.10. This shouldn’t be scary since it is just a new build a stable library that I think was only dropped because they decided to ship only 57. The .deb file can still be downloaded here: https://launchpad.net/ubuntu/yakkety/amd64/libicu55/55.1-7. Once downloaded, just install with
dpkg -i libicu55_55.1-7_amd64.deb
.

Now problem solved, swift3 works on Ubuntu 16.10.